# DeployParameter Data Type

This class is used by the deployer to deploy software (swarm,kubernetes,ansible). It is generated by the provisioner to contain VM information.

Properties
name | data type | description
--- | --- | ---
IP | string | The public IP of the provisioned VM
user | string | The user name of the account created on the provisioned VM
role | string | The role of the provisioned VM

Example

    {
      "IP" : "52.73.245.157",
      "user" : "vm_user",
      "role" : "slave"
    }